// -----------------------------------------------------------------------
// MatchPoint - DKFZ translational registration framework
//
// Copyright (c) German Cancer Research Center (DKFZ),
// Software development for Integrated Diagnostics and Therapy (SIDT).
// ALL RIGHTS RESERVED.
// See mapCopyright.txt or
// http://www.dkfz.de/en/sidt/projects/MatchPoint/copyright.html
//
// This software is distributed WITHOUT ANY WARRANTY; without even
// the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
// PURPOSE.  See the above copyright notices for more information.
//
//------------------------------------------------------------------------
/*!
// @file
// @version $Revision: 797 $ (last changed revision)
// @date    $Date: 2014-10-10 11:42:05 +0200 (Fr, 10 Okt 2014) $ (last change date)
// @author  $Author: floca $ (last changed by)
// Subversion HeadURL: $HeadURL: https://svn.inet.dkfz-heidelberg.de/sbr/Sources/SBR-Projects/MatchPoint/trunk/Code/Algorithms/Common/source/mapAlgorithmException.cpp $
*/


#include "mapAlgorithmException.h"

namespace map
{
	namespace algorithm
	{

		AlgorithmException::BaseExceptionType*
		AlgorithmException::
		clone() const throw()
		{
			BaseExceptionType* pResult = 0;

			try
			{
				pResult = new AlgorithmException(this->GetFile() , this->GetLine() , this->GetDescription() ,
												 this->GetLocation());
			}
			catch (...)
			{
				//no throw guarantee
			}

			return pResult;
		};


		AlgorithmException::
		AlgorithmException() : Superclass()
		{};

		AlgorithmException::
		AlgorithmException(const char* file, unsigned int lineNumber) : Superclass(file, lineNumber)
		{};

		AlgorithmException::
		AlgorithmException(const std::string& file, unsigned int lineNumber) : Superclass(file, lineNumber)
		{};

		AlgorithmException::
		AlgorithmException(const std::string& file, unsigned int lineNumber, const std::string& desc,
						   const std::string& loc) : Superclass(file, lineNumber, desc, loc)
		{};

		AlgorithmException::
		~AlgorithmException() throw()
		{};

		const char*
		AlgorithmException::
		GetNameOfClass() const
		{
			return "map::AlgorithmException";
		};


	} // end namespace algorithm
} // end namespace map